document.addEventListener("DOMContentLoaded", function () {
    const ctx = document.getElementById("surveyChart");
    if (!ctx) return;

    const chartLabels = JSON.parse(ctx.getAttribute("data-labels"));
    const chartData = JSON.parse(ctx.getAttribute("data-data"));

    console.log(chartData);

    if (!chartLabels.length || !chartData.some(v => v > 0)) {
        document.querySelector(".snmcqs-chart-container").innerHTML = "<p>No responses available for this question.</p>";
        return;
    }

    const colors = chartData.map(vote => {
        if (vote >= 5) return '#ff4c4c'; // Red for high votes
        if (vote >= 3) return '#4c6eff';  // Blue for medium votes
        if (vote >= 1) return '#4cff88';  // Green for low votes
        return '#ffbb33';                 // Orange for very low votes
    });


    new Chart(ctx, {
        type: "bar",
        data: {
            labels: chartLabels,
            datasets: [{
                label: "Number of Users",
                data: chartData,
                backgroundColor: colors,
                borderColor: colors.map(color => color.replace("ff", "cc")),
                borderWidth: 2,
                borderRadius: 5,
                barThickness: 80
            }]
        },
        options: {
            responsive: true,
            maintainAspectRatio: false,
            plugins: {
                legend: { display: false }
            },
            scales: {
                y: { beginAtZero: true, ticks: { stepSize: 1 } }
            }
        }
    });
});
