<?php
if (!defined('ABSPATH')) exit;

// load JS, CSS file for the plugin
function snmcqs_quiz_enqueue_assets() {
    // Get the plugin URL dynamically
    $plugin_url = plugin_dir_url(__DIR__);
    $plugin_version = '1.0';

    // Enqueue CSS file
    wp_enqueue_style('snmcqs-quiz-style', $plugin_url . 'assets/css/style.css', array(), $plugin_version);

    // css for charts
    wp_enqueue_style('snmcqs-quiz-style', $plugin_url . 'assets/css/survey-chart.css', array(), $plugin_version, true);

    // Enqueue JavaScript and localize script
    wp_enqueue_script('snmcqs-quiz-script', $plugin_url . 'assets/js/script.js', array('jquery'), $plugin_version, true);

    // Enqueue Chart.js from the plugin assets folder
    wp_enqueue_script(
        'chart-js', 
        $plugin_url . 'assets/js/chart.umd.js',
        [], 
        $plugin_version,
        true // Load in footer
    );

    // Enqueue custom script for the survey chart
    wp_enqueue_script(
        'snmcqs-chart-script',
        $plugin_url . 'assets/js/survey-chart.js',
        ['chart-js'], // Chart.js must load first
        $plugin_version,
        true
    );

    // wp_enqueue_script('snmcqs-quiz-script', $plugin_url . 'assets/js/survey-chart.js', array('jquery'), $plugin_version, true);

    // wp_enqueue_script('chart-js', $plugin_url .'assert/js/chart.umd.js', [], null, true);
    
    wp_localize_script('snmcqs-quiz-script', 'mcqQuizData', array(
        'ajax_url' => admin_url('admin-ajax.php')
    ));
}

// Hook to load assets in admin panel
add_action('admin_enqueue_scripts', 'snmcqs_quiz_enqueue_assets');

// Hook to load assets in frontend
add_action('wp_enqueue_scripts', 'snmcqs_quiz_enqueue_assets');