<?php
if (!defined('ABSPATH')) exit;

// Activation hook to create tables
function snmcqs_quiz_create_tables() {
    global $wpdb;
    $charset_collate = $wpdb->get_charset_collate();

    // Questions table
    $questions_table = $wpdb->prefix . SNMCQS_PREFIX . 'questions';
    $sql1 = "CREATE TABLE IF NOT EXISTS $questions_table (
        id INT AUTO_INCREMENT PRIMARY KEY,
        question TEXT NOT NULL,
        options TEXT NOT NULL,
        correct_option INT NOT NULL
    ) $charset_collate;";

    // User responses table
    $responses_table = $wpdb->prefix . SNMCQS_PREFIX . 'responses';;
    $sql2 = "CREATE TABLE IF NOT EXISTS $responses_table (
        id INT AUTO_INCREMENT PRIMARY KEY,
        question_id INT NOT NULL,
        user_id INT NOT NULL,
        selected_option INT NOT NULL,
        submitted_at DATETIME DEFAULT CURRENT_TIMESTAMP,
        FOREIGN KEY (question_id) REFERENCES $questions_table(id) ON DELETE CASCADE
    ) $charset_collate;";

    require_once ABSPATH . 'wp-admin/includes/upgrade.php';
    dbDelta($sql1);
    dbDelta($sql2);
}

register_activation_hook(dirname(__DIR__) . '/snmcq-quiz.php', 'snmcqs_quiz_create_tables');
